#ifndef PARSE_H
#define PARSE_H

typedef enum {
   E_NOTHING,
/* these six are hard-coded in the timer2 pushbutton code, */
/* so changing them also requires changing isr.asi */
   E_NEXT,
   E_PLAY_PAUSE,
   E_PREV,
   E_PLAYMODE_TOGGLE,
   E_VOL_UP,
   E_VOL_DOWN,
   spare7,
   spare8,
   spare9,
/* these are also hard-coded inside the interrupt routine */
   E_LCD_UPDATE_TIMER,
   E_LCD_TIMEOUT_TIMER,
   E_PARAM_WRITE_TIMER,
   E_POST_PLAYING_TIMER,
   E_DISK_SPIN_TIMER,
   E_BACKLIGHT_TIMER,
   E_TIMER6,
   E_TIMER7,
   spare18,
   spare19,
/* these are easy to change if needed */
   E_INC,
   E_DEC,
   E_NEXT_LIST,
   E_PREV_LIST,
   E_UP,
   E_DOWN,
   E_LEFT,
   E_RIGHT,
   E_ENTER,
   E_FWD,
   E_REV,
   E_PLAYMODE_UP,
   E_PLAYMODE_DOWN,
   E_PLAY_SELECTED,
} event_t;


extern void parse_init(void);
extern void parse_serial_input(void);
extern void parse_event_setup(void);

#define BUTTON_0        0
#define BUTTON_1        1
#define BUTTON_2        2
#define BUTTON_3        3
#define BUTTON_4        4
#define BUTTON_5        5
#define BUTTON_6        6
#define BUTTON_7        7
#define BUTTON_8        8
#define BUTTON_9        9
#define BUTTON_10       10
#define BUTTON_11       11
#define BUTTON_NONE     15
#define B_UP            32
#define B_DOWN          64
#define B_REPEAT        128

#endif /* PARSE_H */
